Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network124.35.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
124.35.64.0
Broadcast address
124.35.127.255
First usable
124.35.64.1
Last usable
124.35.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 7C234000 · Integer 2082684928 to 2082701311
Reverse DNS zones
64.35.124.in-addr.arpa
65.35.124.in-addr.arpa
66.35.124.in-addr.arpa
67.35.124.in-addr.arpa
68.35.124.in-addr.arpa
69.35.124.in-addr.arpa
70.35.124.in-addr.arpa
71.35.124.in-addr.arpa
72.35.124.in-addr.arpa
73.35.124.in-addr.arpa
74.35.124.in-addr.arpa
75.35.124.in-addr.arpa
76.35.124.in-addr.arpa
77.35.124.in-addr.arpa
78.35.124.in-addr.arpa
79.35.124.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111100.00100011.01000000.00000000124.35.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01111100.00100011.01000000.00000000124.35.64.0
Broadcast01111100.00100011.01111111.11111111124.35.127.255
Split into smaller subnets/25

124.35.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1124.35.64.0/25124.35.64.1 to 124.35.64.126124.35.64.127126
2124.35.64.128/25124.35.64.129 to 124.35.64.254124.35.64.255126
3124.35.65.0/25124.35.65.1 to 124.35.65.126124.35.65.127126
4124.35.65.128/25124.35.65.129 to 124.35.65.254124.35.65.255126
5124.35.66.0/25124.35.66.1 to 124.35.66.126124.35.66.127126
6124.35.66.128/25124.35.66.129 to 124.35.66.254124.35.66.255126
7124.35.67.0/25124.35.67.1 to 124.35.67.126124.35.67.127126
8124.35.67.128/25124.35.67.129 to 124.35.67.254124.35.67.255126
9124.35.68.0/25124.35.68.1 to 124.35.68.126124.35.68.127126
10124.35.68.128/25124.35.68.129 to 124.35.68.254124.35.68.255126
11124.35.69.0/25124.35.69.1 to 124.35.69.126124.35.69.127126
12124.35.69.128/25124.35.69.129 to 124.35.69.254124.35.69.255126
13124.35.70.0/25124.35.70.1 to 124.35.70.126124.35.70.127126
14124.35.70.128/25124.35.70.129 to 124.35.70.254124.35.70.255126
15124.35.71.0/25124.35.71.1 to 124.35.71.126124.35.71.127126
16124.35.71.128/25124.35.71.129 to 124.35.71.254124.35.71.255126
17124.35.72.0/25124.35.72.1 to 124.35.72.126124.35.72.127126
18124.35.72.128/25124.35.72.129 to 124.35.72.254124.35.72.255126
19124.35.73.0/25124.35.73.1 to 124.35.73.126124.35.73.127126
20124.35.73.128/25124.35.73.129 to 124.35.73.254124.35.73.255126
21124.35.74.0/25124.35.74.1 to 124.35.74.126124.35.74.127126
22124.35.74.128/25124.35.74.129 to 124.35.74.254124.35.74.255126
23124.35.75.0/25124.35.75.1 to 124.35.75.126124.35.75.127126
24124.35.75.128/25124.35.75.129 to 124.35.75.254124.35.75.255126
25124.35.76.0/25124.35.76.1 to 124.35.76.126124.35.76.127126
26124.35.76.128/25124.35.76.129 to 124.35.76.254124.35.76.255126
27124.35.77.0/25124.35.77.1 to 124.35.77.126124.35.77.127126
28124.35.77.128/25124.35.77.129 to 124.35.77.254124.35.77.255126
29124.35.78.0/25124.35.78.1 to 124.35.78.126124.35.78.127126
30124.35.78.128/25124.35.78.129 to 124.35.78.254124.35.78.255126
31124.35.79.0/25124.35.79.1 to 124.35.79.126124.35.79.127126
32124.35.79.128/25124.35.79.129 to 124.35.79.254124.35.79.255126
33124.35.80.0/25124.35.80.1 to 124.35.80.126124.35.80.127126
34124.35.80.128/25124.35.80.129 to 124.35.80.254124.35.80.255126
35124.35.81.0/25124.35.81.1 to 124.35.81.126124.35.81.127126
36124.35.81.128/25124.35.81.129 to 124.35.81.254124.35.81.255126
37124.35.82.0/25124.35.82.1 to 124.35.82.126124.35.82.127126
38124.35.82.128/25124.35.82.129 to 124.35.82.254124.35.82.255126
39124.35.83.0/25124.35.83.1 to 124.35.83.126124.35.83.127126
40124.35.83.128/25124.35.83.129 to 124.35.83.254124.35.83.255126
41124.35.84.0/25124.35.84.1 to 124.35.84.126124.35.84.127126
42124.35.84.128/25124.35.84.129 to 124.35.84.254124.35.84.255126
43124.35.85.0/25124.35.85.1 to 124.35.85.126124.35.85.127126
44124.35.85.128/25124.35.85.129 to 124.35.85.254124.35.85.255126
45124.35.86.0/25124.35.86.1 to 124.35.86.126124.35.86.127126
46124.35.86.128/25124.35.86.129 to 124.35.86.254124.35.86.255126
47124.35.87.0/25124.35.87.1 to 124.35.87.126124.35.87.127126
48124.35.87.128/25124.35.87.129 to 124.35.87.254124.35.87.255126
49124.35.88.0/25124.35.88.1 to 124.35.88.126124.35.88.127126
50124.35.88.128/25124.35.88.129 to 124.35.88.254124.35.88.255126
51124.35.89.0/25124.35.89.1 to 124.35.89.126124.35.89.127126
52124.35.89.128/25124.35.89.129 to 124.35.89.254124.35.89.255126
53124.35.90.0/25124.35.90.1 to 124.35.90.126124.35.90.127126
54124.35.90.128/25124.35.90.129 to 124.35.90.254124.35.90.255126
55124.35.91.0/25124.35.91.1 to 124.35.91.126124.35.91.127126
56124.35.91.128/25124.35.91.129 to 124.35.91.254124.35.91.255126
57124.35.92.0/25124.35.92.1 to 124.35.92.126124.35.92.127126
58124.35.92.128/25124.35.92.129 to 124.35.92.254124.35.92.255126
59124.35.93.0/25124.35.93.1 to 124.35.93.126124.35.93.127126
60124.35.93.128/25124.35.93.129 to 124.35.93.254124.35.93.255126
61124.35.94.0/25124.35.94.1 to 124.35.94.126124.35.94.127126
62124.35.94.128/25124.35.94.129 to 124.35.94.254124.35.94.255126
63124.35.95.0/25124.35.95.1 to 124.35.95.126124.35.95.127126
64124.35.95.128/25124.35.95.129 to 124.35.95.254124.35.95.255126
65124.35.96.0/25124.35.96.1 to 124.35.96.126124.35.96.127126
66124.35.96.128/25124.35.96.129 to 124.35.96.254124.35.96.255126
67124.35.97.0/25124.35.97.1 to 124.35.97.126124.35.97.127126
68124.35.97.128/25124.35.97.129 to 124.35.97.254124.35.97.255126
69124.35.98.0/25124.35.98.1 to 124.35.98.126124.35.98.127126
70124.35.98.128/25124.35.98.129 to 124.35.98.254124.35.98.255126
71124.35.99.0/25124.35.99.1 to 124.35.99.126124.35.99.127126
72124.35.99.128/25124.35.99.129 to 124.35.99.254124.35.99.255126
73124.35.100.0/25124.35.100.1 to 124.35.100.126124.35.100.127126
74124.35.100.128/25124.35.100.129 to 124.35.100.254124.35.100.255126
75124.35.101.0/25124.35.101.1 to 124.35.101.126124.35.101.127126
76124.35.101.128/25124.35.101.129 to 124.35.101.254124.35.101.255126
77124.35.102.0/25124.35.102.1 to 124.35.102.126124.35.102.127126
78124.35.102.128/25124.35.102.129 to 124.35.102.254124.35.102.255126
79124.35.103.0/25124.35.103.1 to 124.35.103.126124.35.103.127126
80124.35.103.128/25124.35.103.129 to 124.35.103.254124.35.103.255126
81124.35.104.0/25124.35.104.1 to 124.35.104.126124.35.104.127126
82124.35.104.128/25124.35.104.129 to 124.35.104.254124.35.104.255126
83124.35.105.0/25124.35.105.1 to 124.35.105.126124.35.105.127126
84124.35.105.128/25124.35.105.129 to 124.35.105.254124.35.105.255126
85124.35.106.0/25124.35.106.1 to 124.35.106.126124.35.106.127126
86124.35.106.128/25124.35.106.129 to 124.35.106.254124.35.106.255126
87124.35.107.0/25124.35.107.1 to 124.35.107.126124.35.107.127126
88124.35.107.128/25124.35.107.129 to 124.35.107.254124.35.107.255126
89124.35.108.0/25124.35.108.1 to 124.35.108.126124.35.108.127126
90124.35.108.128/25124.35.108.129 to 124.35.108.254124.35.108.255126
91124.35.109.0/25124.35.109.1 to 124.35.109.126124.35.109.127126
92124.35.109.128/25124.35.109.129 to 124.35.109.254124.35.109.255126
93124.35.110.0/25124.35.110.1 to 124.35.110.126124.35.110.127126
94124.35.110.128/25124.35.110.129 to 124.35.110.254124.35.110.255126
95124.35.111.0/25124.35.111.1 to 124.35.111.126124.35.111.127126
96124.35.111.128/25124.35.111.129 to 124.35.111.254124.35.111.255126
97124.35.112.0/25124.35.112.1 to 124.35.112.126124.35.112.127126
98124.35.112.128/25124.35.112.129 to 124.35.112.254124.35.112.255126
99124.35.113.0/25124.35.113.1 to 124.35.113.126124.35.113.127126
100124.35.113.128/25124.35.113.129 to 124.35.113.254124.35.113.255126
101124.35.114.0/25124.35.114.1 to 124.35.114.126124.35.114.127126
102124.35.114.128/25124.35.114.129 to 124.35.114.254124.35.114.255126
103124.35.115.0/25124.35.115.1 to 124.35.115.126124.35.115.127126
104124.35.115.128/25124.35.115.129 to 124.35.115.254124.35.115.255126
105124.35.116.0/25124.35.116.1 to 124.35.116.126124.35.116.127126
106124.35.116.128/25124.35.116.129 to 124.35.116.254124.35.116.255126
107124.35.117.0/25124.35.117.1 to 124.35.117.126124.35.117.127126
108124.35.117.128/25124.35.117.129 to 124.35.117.254124.35.117.255126
109124.35.118.0/25124.35.118.1 to 124.35.118.126124.35.118.127126
110124.35.118.128/25124.35.118.129 to 124.35.118.254124.35.118.255126
111124.35.119.0/25124.35.119.1 to 124.35.119.126124.35.119.127126
112124.35.119.128/25124.35.119.129 to 124.35.119.254124.35.119.255126
113124.35.120.0/25124.35.120.1 to 124.35.120.126124.35.120.127126
114124.35.120.128/25124.35.120.129 to 124.35.120.254124.35.120.255126
115124.35.121.0/25124.35.121.1 to 124.35.121.126124.35.121.127126
116124.35.121.128/25124.35.121.129 to 124.35.121.254124.35.121.255126
117124.35.122.0/25124.35.122.1 to 124.35.122.126124.35.122.127126
118124.35.122.128/25124.35.122.129 to 124.35.122.254124.35.122.255126
119124.35.123.0/25124.35.123.1 to 124.35.123.126124.35.123.127126
120124.35.123.128/25124.35.123.129 to 124.35.123.254124.35.123.255126
121124.35.124.0/25124.35.124.1 to 124.35.124.126124.35.124.127126
122124.35.124.128/25124.35.124.129 to 124.35.124.254124.35.124.255126
123124.35.125.0/25124.35.125.1 to 124.35.125.126124.35.125.127126
124124.35.125.128/25124.35.125.129 to 124.35.125.254124.35.125.255126
125124.35.126.0/25124.35.126.1 to 124.35.126.126124.35.126.127126
126124.35.126.128/25124.35.126.129 to 124.35.126.254124.35.126.255126
127124.35.127.0/25124.35.127.1 to 124.35.127.126124.35.127.127126
128124.35.127.128/25124.35.127.129 to 124.35.127.254124.35.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses